#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void main(int argc,char **argv)
{
  FILE * fp;
  unsigned char buf[16];
  int  rd,n;

  if (argc!=2) {
    printf("rawview file\n");
    exit(1);
  }
  
  fp = fopen(argv[1],"r");
  if (fp==NULL) {
    printf("File does not exist.\n");
    exit(1);
  }
  do {
    rd = fread(buf,1,16,fp);
    for (n=0;n<rd;n++) printf(" %2x",(int)buf[n]);
    printf("    ");
    for (n=0;n<rd;n++) 
      if (!isprint(buf[n])) printf(" "); 
                     else printf("%c",buf[n]);
    printf("\n");
  } while (rd==16);
  
  fclose(fp);
}
